#!/bin/sh

INSTALLDIR=/opt/openit

uid=`ls -Lld $INSTALLDIR  | sed -e "s/  */ /g" | cut -f3 -d" "`

if [ "$uid" = "root" ]; then
  gunzip <  files/php-gui.tar.gz | (cd $INSTALLDIR && tar xf -)
else
  gunzip < files/php-gui.tar.gz | su - $uid -c "cd $INSTALLDIR && tar xf -"
fi

# Fix permissions
httpuid=`grep SERVER_UID_NAME /etc/opt/openit/openit.cfg  | cut -f2- -d' ' | sed -e 's/ *//g'`

if [ "$httpuid" = "" ]; then
  echo Can\'t find SERVER_UID_NAME in /etc/opt/openit/openit.cfg
  exit 1
fi

cd $INSTALLDIR
chown -R $httpuid config db logs smarty 2>/dev/null
chmod -R 775 config db logs smarty 2>/dev/null

exit 0
