#!/etc/opt/openit/perl -w

use strict;

# Only root can patch
if ( $< ne 0 ) {
    die "Error: Patching must be done as 'root'!\n";
}

# Check for linux
if (`uname -s` !~ /linux/i || `uname -m` !~ /^i.86$|x86_64/) {
    die "Patch only valid for x86 linux architecture\n";
}

# Find version to install
my $arch = "";

if (-r "/etc/redhat-release") {    # Check for compatible Red Hat version
    my $rh_version=`cat /etc/redhat-release`;

    if ($rh_version =~ /Red.*release 9/) {
        $arch = "i386-redhat9-linux";
    } elsif ( $rh_version =~ /Red Hat.*release 9/ ||
          $rh_version =~ /Red Hat Enterprise.*release (3|4)/ ||
          $rh_version =~ /Fedora.*release/ ||
          $rh_version =~ /CentOS.*release/ ) {
        $arch = "i686-redhat-linux";
    }
} elsif (-r "/etc/SuSE-release") { # Check for compatbile SuSE version
   my $suse_version = `cat /etc/SuSE-release`;

   if ($suse_version =~ /9\.|10\./) {
       $arch = "i686-redhat-linux";
   }
} else {
   $arch = "i386-unknown-linux";
}

print "Installing php for '$arch'\n";


# Out put folder
my $arch_dir = "/opt/openit/bin";

# Unpack tar archive
my $tarf = $ENV{'PWD'} . "/files/$arch/php.tar.gz";
if (! chdir $arch_dir) {
    print "Unable to chdir to '$arch_dir'\n";
    exit 4;
}
system("/opt/openit/bin/tar xfz $tarf");

